Компас 3d v18 как сделать лопасти
Перейти к содержимому

Компас 3d v18 как сделать лопасти

  • автор:

Сделать форму для формования Лопасти

Вы можете опубликовать сообщение сейчас, а зарегистрироваться позже. Если у вас есть аккаунт, войдите в него для написания от своего имени.
Примечание: вашему сообщению потребуется утверждение модератора, прежде чем оно станет доступным.

Сейчас на странице 0 пользователей

Нет пользователей, просматривающих эту страницу.

Сообщения

Автор: gudstartup · Опубликовано: 3 минуты назад
В 2017 возможно все и решилось.
Автор: gudstartup · Опубликовано: 7 минут назад
мониторинг и только сервис может еще кое что дистанционно посмотреть

VOleg

Автор: VOleg · Опубликовано: 51 минута назад

Переписать Автора, Обозначение, Наименование получилось, но с текущей конфигурации. Надо бы перейти в конфигурацию 00. Дополнительно с вкладки Настройки надо списать имя папки, добавив диск «D» и сформировать имя файла =D:\Имя папки\Обозначение Наименование, проверить сохранен ли файл модели и если не сохранен, то сохранить. Далее проверить есть ли в папке чертеж, если есть, то открыть, если нет, то создать, заполнить вкладку Сумм. информ. чертежа, сохранить чертеж и закончить работу макроса — дальше я буду работать с чертежом. Вроде так? ‘Option Explicit Option Base 0 Dim swApp As Object Sub sumprop() Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swConfigMgr As SldWorks.ConfigurationManager Dim swConfig As SldWorks.Configuration Dim swCustPropMgr As SldWorks.CustomPropertyManager Dim cpm As CustomPropertyManager Dim mde As ModelDocExtension Dim vPropNames As Variant Dim vConfName As Variant Dim vConfParam As Variant Dim vConfValue As Variant Dim i As Long Dim j As Long Dim n As Integer Dim nprops As Integer Dim valOut As String Dim resolvedValOut As String Dim custPropType As Long Dim dcn As Variant Dim naim As Variant dcn = Null naim = Null Set swApp = Application.SldWorks Set swModel = swApp.ActiveDoc ‘ Начальные проверки If swModel Is Nothing Then MsgBox «Откройте документ», , «Ничего не открыто» Exit Sub End If Set swConfigMgr = swModel.ConfigurationManager Set swConfig = swConfigMgr.ActiveConfiguration Set swCustPropMgr = swConfig.CustomPropertyManager Set mde = swModel.Extension() Set cpm = mde.CustomPropertyManager(«») nprops = swCustPropMgr.Count vPropNames = swCustPropMgr.GetNames For j = 0 To nprops — 1 swCustPropMgr.Get2 vPropNames(j), valOut, resolvedValOut If vPropNames(j) = «Обозначение» Then dcn = resolvedValOut If vPropNames(j) = «Наименование» Then naim = resolvedValOut Next j If IsNull(dcn) Then MsgBox «Свойство » + VBA.Chr(34) + «Обозначение» + VBA.Chr(34) + » не найдено в текущей конфигурации» Else swModel.SummaryInfo(swSumInfoSubject) = dcn End If If IsNull(naim) Then MsgBox «Свойство » + VBA.Chr(34) + «Наименование» + VBA.Chr(34) + » не найдено в текущей конфигурации» Else swModel.SummaryInfo(swSumInfoTitle) = naim End If swModel.SummaryInfo(swSumInfoAuthor) = cpm.Get(«Разраб.») End Sub Забыл про виртуальную деталь со свойствами спецификации

Автор: karlf · Опубликовано: 1 час назад

Здравствуйте. Подскажите пожалуйста, из-за чего могут не применяться параметры кинематики? Станок DMU-70V на стойке TNC 426. Меняю в параметрах 7530.1. Пробовал также создавать кинематическую таблицу и указывать к ней путь в файле OEM.SYS, но тоже ничего не происходит после перезагрузки.

VOleg

Автор: VOleg · Опубликовано: 2 часа назад

Пункты 1 и 2 думаю изложить по -другому: 1 Я создаю новую модель. Заполняю на вкладке Конфигурация Обозначение и Наименование. На вкладке Настройка из списка (через Таб-билдер) выбираю себя и папку, в которую будет все это складываться. 2 Закончив и сохранив модель я жму кнопку макроса «Создать чертеж». При этом все эти свойства переписываются в Суммарную информацию модели и чертежа. Дополнительно в модели создается виртуальная деталь «СП», в которую записываются все свойства спецификации: Обозначение, Наименование, Автор, Перв. применение спецификации, № изменения, № извещения, имя папки. Пункт 3 надо то же подправить: 3 Для сборочного чертежа я жму кнопку макроса «Создать спецификацию». При этом за полем чертежа вставляется спецификация, сразу формируется имя файла и подставляется имя папки, спецификация сохраняется с расширением XLS. Можно здесь же сохранить и сам чертеж, и PDF, благо имена одинаковые и уже сформированы. Соответственно в свойства файла PDF записываем Обозначение Наименование Автор. 4 Ну а для чертежа детали кнопка макроса «Сохранить» — аналогично п.3 но без спецификации.

Автор: neon4ik1 · Опубликовано: 2 часа назад

Добрый день , есть станок Ermaksan Speed band pro , под управление Kvara S640 , перестал включаться ошибка DLL loader init error 1117 , пост код 4 . Может кто сталкивался .

Развертка поверхностей

Вы можете опубликовать сообщение сейчас, а зарегистрироваться позже. Если у вас есть аккаунт, войдите в него для написания от своего имени.
Примечание: вашему сообщению потребуется утверждение модератора, прежде чем оно станет доступным.

Сейчас на странице 0 пользователей

Нет пользователей, просматривающих эту страницу.

Сообщения

Автор: gudstartup · Опубликовано: 3 минуты назад
В 2017 возможно все и решилось.
Автор: gudstartup · Опубликовано: 7 минут назад
мониторинг и только сервис может еще кое что дистанционно посмотреть

VOleg

Автор: VOleg · Опубликовано: 51 минута назад

Переписать Автора, Обозначение, Наименование получилось, но с текущей конфигурации. Надо бы перейти в конфигурацию 00. Дополнительно с вкладки Настройки надо списать имя папки, добавив диск «D» и сформировать имя файла =D:\Имя папки\Обозначение Наименование, проверить сохранен ли файл модели и если не сохранен, то сохранить. Далее проверить есть ли в папке чертеж, если есть, то открыть, если нет, то создать, заполнить вкладку Сумм. информ. чертежа, сохранить чертеж и закончить работу макроса — дальше я буду работать с чертежом. Вроде так? ‘Option Explicit Option Base 0 Dim swApp As Object Sub sumprop() Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swConfigMgr As SldWorks.ConfigurationManager Dim swConfig As SldWorks.Configuration Dim swCustPropMgr As SldWorks.CustomPropertyManager Dim cpm As CustomPropertyManager Dim mde As ModelDocExtension Dim vPropNames As Variant Dim vConfName As Variant Dim vConfParam As Variant Dim vConfValue As Variant Dim i As Long Dim j As Long Dim n As Integer Dim nprops As Integer Dim valOut As String Dim resolvedValOut As String Dim custPropType As Long Dim dcn As Variant Dim naim As Variant dcn = Null naim = Null Set swApp = Application.SldWorks Set swModel = swApp.ActiveDoc ‘ Начальные проверки If swModel Is Nothing Then MsgBox «Откройте документ», , «Ничего не открыто» Exit Sub End If Set swConfigMgr = swModel.ConfigurationManager Set swConfig = swConfigMgr.ActiveConfiguration Set swCustPropMgr = swConfig.CustomPropertyManager Set mde = swModel.Extension() Set cpm = mde.CustomPropertyManager(«») nprops = swCustPropMgr.Count vPropNames = swCustPropMgr.GetNames For j = 0 To nprops — 1 swCustPropMgr.Get2 vPropNames(j), valOut, resolvedValOut If vPropNames(j) = «Обозначение» Then dcn = resolvedValOut If vPropNames(j) = «Наименование» Then naim = resolvedValOut Next j If IsNull(dcn) Then MsgBox «Свойство » + VBA.Chr(34) + «Обозначение» + VBA.Chr(34) + » не найдено в текущей конфигурации» Else swModel.SummaryInfo(swSumInfoSubject) = dcn End If If IsNull(naim) Then MsgBox «Свойство » + VBA.Chr(34) + «Наименование» + VBA.Chr(34) + » не найдено в текущей конфигурации» Else swModel.SummaryInfo(swSumInfoTitle) = naim End If swModel.SummaryInfo(swSumInfoAuthor) = cpm.Get(«Разраб.») End Sub Забыл про виртуальную деталь со свойствами спецификации

Автор: karlf · Опубликовано: 1 час назад

Здравствуйте. Подскажите пожалуйста, из-за чего могут не применяться параметры кинематики? Станок DMU-70V на стойке TNC 426. Меняю в параметрах 7530.1. Пробовал также создавать кинематическую таблицу и указывать к ней путь в файле OEM.SYS, но тоже ничего не происходит после перезагрузки.

VOleg

Автор: VOleg · Опубликовано: 2 часа назад

Пункты 1 и 2 думаю изложить по -другому: 1 Я создаю новую модель. Заполняю на вкладке Конфигурация Обозначение и Наименование. На вкладке Настройка из списка (через Таб-билдер) выбираю себя и папку, в которую будет все это складываться. 2 Закончив и сохранив модель я жму кнопку макроса «Создать чертеж». При этом все эти свойства переписываются в Суммарную информацию модели и чертежа. Дополнительно в модели создается виртуальная деталь «СП», в которую записываются все свойства спецификации: Обозначение, Наименование, Автор, Перв. применение спецификации, № изменения, № извещения, имя папки. Пункт 3 надо то же подправить: 3 Для сборочного чертежа я жму кнопку макроса «Создать спецификацию». При этом за полем чертежа вставляется спецификация, сразу формируется имя файла и подставляется имя папки, спецификация сохраняется с расширением XLS. Можно здесь же сохранить и сам чертеж, и PDF, благо имена одинаковые и уже сформированы. Соответственно в свойства файла PDF записываем Обозначение Наименование Автор. 4 Ну а для чертежа детали кнопка макроса «Сохранить» — аналогично п.3 но без спецификации.

Автор: neon4ik1 · Опубликовано: 2 часа назад

Добрый день , есть станок Ermaksan Speed band pro , под управление Kvara S640 , перестал включаться ошибка DLL loader init error 1117 , пост код 4 . Может кто сталкивался .

Урок 20. Модель турбины в Компас 3d

24 сентября, 2014 Анна Веселова

turbina 3d

Здравствуйте уважаемые читатели! На этом уроке я хотела рассказать вам о принципах построения в Компас 3d детали типа турбины. Строить буду не по размерам, приблизительно, но думаю, что смысла урока это допущение не исказит. Главное – сама последовательность действий.

Порядок построения модели турбины в Компас 3d будет таким:

1. Сначала создаем тело турбины операцией вращения.

zagotovka turbinih

2. Лопасти турбины будем строить кинематической операцией.

2.1 Сначала строим траекторию для движения эскиза – часть цилиндрической спирали – по количеству витков и высоте (n=0,18, L= 55, D=152). Спираль строим на смещенной плоскости, отстоящей от xy на 60 мм.

traektoriya

2.2 На построенной смещенной плоскости строим прямоугольник.

ehskiz secheniya lopasti

2.3 Кинематической операцией строим первую лопасть. Остальные достраиваем массивом по концентрической сетке.

lopasti

3. Построение малой лопасти аналогично. Спираль строим на плоскости, смещенной от zx на 40 мм. Параметры спирали – n=0,09, L=35 мм, D=152 мм.

Эскиз сечения проецируем с большой лопасти.

lopasti malihe turbinih

4. Создаем эскиз для операции вырезания вращением при помощи NURBS-кривой.

ehskiz dlya vihreza profilya

lopasti turbinih

5. Строим центральное отверстие, делаем фаски.

Модель турбины в Компас 3d готова.

turbina v kompase

Урок по построению модели крыльчатки (см. рисунок ниже).

krihljchatka render1

Видеоурок по построению.

Практическая работа по работе в программе Компас 3d создание «Пропеллера»

Создание 3 d модели «Пропеллера» в программе Компас 3 d ».

Для этого создаем новую «Деталь». Нажимаем на команду «Спираль цилиндрическая». Выделяем плоскость XY .

Затем укажем диаметр спирали 50 мм, затем способ построения выбираем «По числу витков и шагу», количество витков вводим 0,25 и шаг 200мм. По координатам XY вводим нули нажимаем на галочку.

Получаем первый эскиз.

Делаем левый клик по плоскости XZ и нажимаем создать эскиз.

Начертим вспомогательную прямую горизонтальную. Затем нажимаем на команду прямоугольник и делаем вот такой произвольный прямоугольник.

Затем задаём необходимые нам размеры с помощью команды «Авторазмер» ширина 100 мм, высота 1 мм и расстояние от центра координат до края прямоугольника будет составлять 25мм. Выйти из режима эскиза.

Нажимаем на команду «Элемент выдавливания», «Выдавливание по траектории» указываем сечение и левым кликом указываем траекторию.

Нажимаем на галочку.

Получаем первую лопасть. Теперь нажимаем на плоскость XY и нажимаем создать эскиз.

Нажмите на команду «Спроецировать объект» и левым кликом выбираем все ребра которые хотим спроецировать.

У нас получается вот такой эскиз. Далее нажимаем команду «Дуга» выбираем команду «Дуга по трём точкам» и делаем две дуги которые показаны на рисунке.

Задаём радиус для дуг. Одна дуга как на рисунке задаем 500мм другая 400мм.

Затем нажимаем на команду авторазмер и задаём размеры как на рисунке. Расстояние между точками верхнего отрезка будет составлять 9 мм и расстояние между точками нижнего размера будет составлять 16 мм.

Теперь нажимаем на команду усечь кривую и левым кликом отсикаем ненужные нам элементы боковины как на картинке.

Выходим из режима эскиза.

Нажимаем на команду «Вырезать выдавливанием». Для первого направления указываем способ через всё. Затем активируем второе направление и также в способе указываем через всё. Нажимаем на галочку. И у нас получается уже уже похожее на лопасть.

Скруглим острые углы нажмём на команду «Скругление» левым кликом выбираем необходимое ребро для скругления вводим значение радиуса 20 мм.

И скругляем необходимое нам ребро нажимаем на галочку.

Меняем значение радиуса на 40 мм и делаем скругление на противоположном углу.

Нажимаем на галочку.

Выбираем плоскость XY нажимаем создать эскиз. С помощью команды окружность мы рисуем 2 произвольные окружности.

И задаем нажимаем на команду «Диаметральный размер» и задаем размер окружностей наружняя окружность 50 мм внутреняя 40 мм.

Выходим из режима эскиза и нажимаем на команду «Элемент выдавливания» укажите расстоятие 42 мм. Затем активируйте второе направление и указываем расстояние 5 мм и нажимаем на галочку.

Нам необходимо сделать копии данной лопасти. Нажимаем на команду «Массив по концентрической сетке. Левым кликом указываем элементы которые мы будем копировать выделяем лопасть полностью со всех сторон.

Теперь укажем ось вращения делаем левый клик по цилиндрической поверхности.

Укажим количество лопастей 4 нажимаем на галочку.

Сделайте скругление на отверстии пропеллера радиус 1 мм. На этом всё незабудьте показать преподавателю готовой 3 d модели. И сохраните, на этом всё.

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *